﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine.UI;
using UnityEngine;
using UnityEngine.SceneManagement;

public class Collectible : MonoBehaviour
{
    [SerializeField]
    private AudioSource audioSource;
    [SerializeField]
    private AudioClip switchClip;

    private PlayerScript playerScript;
    private GameObject player;

    public float waitTime = 1f;
    public Sprite greenSwitch;
    public Sprite redSwitch;
    public bool mousePressed;
    private Animator anim;

    public int keys;
    public Image[] keyes;
    public Sprite[] sprites;

    // Use this for initialization
    void Start()
    {
        keys = 0;
    }

    // Update is called once per frame
    void Awake()
    {
        anim = GetComponent<Animator>();
        playerScript = GetComponent<PlayerScript>();
        player = GetComponent<GameObject>();
    }

    void Update()
    {
        if (Input.GetMouseButtonDown(0))
        {
            mousePressed = true;
        }
    }

    void setRedSprite()
    {
        gameObject.GetComponent<SpriteRenderer>().sprite = redSwitch;
    }

    void setGreenSprite()
    {
        gameObject.GetComponent<SpriteRenderer>().sprite = greenSwitch;
    }


    void OnTriggerEnter2D(Collider2D other)
    {

        if (other.gameObject.CompareTag("Object"))
        {
            other.gameObject.SetActive(false);
            keys = keys + 1;

            for(int i=0; i<keys; i++)
            {
                keyes[i].sprite = sprites[i];
            }
        }
        if (other.gameObject.CompareTag("Door"))
        {
            if (keys >= 3)
            {
                SceneManager.LoadScene("END");
            }
        }

        if (other.gameObject.CompareTag("Beam"))
        {
            StartCoroutine(WaitTime());
        }
        if (other.gameObject.CompareTag("Switch"))
        {
            audioSource.PlayOneShot(switchClip);
        }
        


    }

    IEnumerator WaitTime()
    {
        gameObject.GetComponent<PlayerScript>().enabled = false;
        anim.Play("Die");
        yield return new WaitForSeconds(waitTime);
        SceneManager.LoadScene("EndGame");
    }
}
   
