﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerScript : MonoBehaviour {

    public float moveForce = 20f, jumpForce = 700f, maxVelocity = 4f;

    private bool grounded;
    private bool groundedOnEdge;

    private Rigidbody2D myBody;
    private Animator anim;

    private GameObject player;
    
    void Awake()
    {
        InitializeVariables();
    } 
    
    // Use this for initialization
	void Start ()
    {
        player = GameObject.Find("Player1");
	}
	
	// Update is called once per frame
	void FixedUpdate () {
        PlayerWalkKeyboard();
	}

    void InitializeVariables()
    {
        myBody = GetComponent<Rigidbody2D>();
        anim = GetComponent<Animator>();
    }
    void PlayerWalkKeyboard()
    {
        float forceX = 0f;
        float forceY = 0f;

        float vel = Mathf.Abs(myBody.velocity.x);

        float h = Input.GetAxisRaw("Horizontal");

        if (h> 0)
        {

            if(vel < maxVelocity)
            {
                forceX = moveForce;

            }

            Vector3 scale = transform.localScale;
            scale.x = 1f;
            transform.localScale = scale;
            //ANIMATOR Stuff
            anim.Play("Run");
            player.gameObject.transform.localScale = new Vector3(.5f, .5f, .5f);

        }
        else if (h <0)
        {
            if (vel < maxVelocity)
            {
                forceX = -moveForce;

            }

            Vector3 scale = transform.localScale;
            scale.x = -1f;
            transform.localScale = scale;
            //ANIMATOR Stuff
            anim.SetBool("Running", true);
            player.gameObject.transform.localScale = new Vector3(-.5f, .5f, .5f);


        }
        else if(h == 0)
        {
            //ANIMATOR Stuff
            anim.SetBool("Running", false);

        }

        if (Input.GetKeyDown(KeyCode.Space))
        {
            anim.Play("Jump");
            if (grounded)
            {
                grounded = false;
                forceY = jumpForce;
            }
            else if(groundedOnEdge)
            {
                groundedOnEdge = false;
                grounded = false;
                forceY = 0.5f * jumpForce;
            }
        }

        if(myBody.velocity.y < 0)
        {
            myBody.gravityScale = 2.2f;
        }
        else
        {
            myBody.gravityScale = 1.0f;
        }

        myBody.AddForce(new Vector2(forceX, forceY));

    }
    void OnCollisionEnter2D(Collision2D target)
    {
        if(target.gameObject.tag == "Ground")
        {
            grounded = true;
        }
        if(target.gameObject.tag == "Edge")
        {
            groundedOnEdge = true;
        }
    }
}
